# Packmangroup: System
# Packmanpackagename: rpmkey-packman
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>The packman rpm public keys</p>
# Packmanpackagedesc_de: <p>Die &ouml;ffentlichen packman rpm Schl&uuml;ssel</p>

%define name      rpmkey-packman
%define pubkeyname packman
%define version   0.2.2
%define release   0.pm.1

Name:           %{name}
Summary:        The %{pubkeyname} rpm public keys
Summary(de):    Die öffentlichen %{pubkeyname} rpm Schlüssel
Copyright:      GPL
Group:          System/Packages
URL:            http://%{pubkeyname}.links2linux.de/
Version:        %{version}
Release:        %{release}

Source0:        packman-bwalle.asc
Source1:        packman-henvol.asc
Source2:        packman-hergra.asc
Source3:        packman-konmal.asc
Source4:        packman-mantre.asc
Source5:        packman-marsch.asc
Source6:        packman-queden.asc
Source7:        packman-railay.asc
Source8:        packman-ralcor.asc
Source9:        packman-robrak.asc
Source10:        packman-thomue.asc
Source11:        packman-detrei.asc

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      %{_tmppath}/%{name}-root
BuildArchitectures: noarch
%define pubring usr/lib/rpm/gnupg/pubring.gpg

%description
The %{pubkeyname} rpm public keys

%description -l de
Die öffentlichen %{pubkeyname} rpm Schlüssel

%prep
%setup -c -T a1
%build
%install
%{__mkdir_p} %{buildroot}%{_libdir}/rpm/gnupg
cp -a %{SOURCE0} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE1} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE2} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE3} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE4} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE5} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE6} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE7} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE8} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE9} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE10} %{buildroot}%{_libdir}/rpm/gnupg/
cp -a %{SOURCE11} %{buildroot}%{_libdir}/rpm/gnupg/


#%post
#if [ ! -f %{pubring} ]; then
#    touch %{pubring}
#fi
#echo -n "importing %{pubkeyname} build key to rpm keyring... "
#TF=`mktemp /tmp/gpg.XXXXXX`
#if [ -z "$TF" ]; then
#  echo "%{pubkeyname}-key::post: cannot make temporary file. Fatal error."
#  exit 20
#fi
#if [ -z "$HOME" ]; then
#  HOME=/root
#fi
#if [ ! -d "$HOME" ]; then
#  mkdir "$HOME"
#fi
#gpg -q --batch --no-options < /dev/null > /dev/null 2>&1 || true
## no kidding... gpg won't initialize correctly without being called twice.
#gpg < /dev/null > /dev/null 2>&1 || true
#gpg < /dev/null > /dev/null 2>&1 || true
#gpg -q --batch --no-options --no-default-keyring --no-permission-warning \
#         --keyring %{_libdir}/rpm/gnupg/%{pubkeyname}-*.asc --export -a > $TF
#a="$?"
#gpg -q --batch --no-options --no-default-keyring --no-permission-warning \
#         --keyring %{pubring}   --import < $TF
#b="$?"
#rm -f "$TF"
#if [ "$a" = 0 -a "$b" = 0 ]; then
#    echo "done."
#else
#    echo "importing the key from the file %{pubkeyname}-*.asc"
#    exit -1
#fi

%files
%defattr(-, root, root)
%{_libdir}/rpm/gnupg/%{pubkeyname}-*.asc

%changelog
* Fri Nov 26 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added key of Detlef Reichelt (external packager building AMD64 packages)
* Fri Sep 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added key of Quentin Denis
* Sat Aug 28 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update, every key in a separate file
* Wed Aug 25 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first build, based on the spec from
  http://linux01.gwdg.de/apt4rpm/signing.html#rpmkey
